<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_invitation_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_invitation_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_invitation_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_invitation_panel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['MGINV_title'];
$inf_description = $locale['MGINV_desc'];
$inf_version = $locale['MGINV_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_invitation_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = MG_INVITATION." (
mg_invite_id MEDIUMINT(15) UNSIGNED NOT NULL AUTO_INCREMENT,
mg_inv_user MEDIUMINT(8) UNSIGNED NOT NULL default '0',
mg_inv_friend_name VARCHAR(50) DEFAULT '' NOT NULL,
mg_inv_friend_mail VARCHAR(100) DEFAULT '' NOT NULL,
mg_inv_key VARCHAR(50) DEFAULT '' NOT NULL,
mg_inv_datestamp INT(10) UNSIGNED NOT NULL default '0',
PRIMARY KEY (mg_invite_id)
) TYPE=MyISAM;";

$inf_newtable[2] = MG_INV_ARCHIV." (
mg_invite_id MEDIUMINT(15) UNSIGNED NOT NULL AUTO_INCREMENT,
mg_inv_user MEDIUMINT(8) UNSIGNED NOT NULL default '0',
mg_inv_friend_name VARCHAR(50) DEFAULT '' NOT NULL,
mg_inv_friend_mail VARCHAR(100) DEFAULT '' NOT NULL,
mg_inv_datestamp INT(10) UNSIGNED NOT NULL default '0',
PRIMARY KEY (mg_invite_id)
) TYPE=MyISAM;";

$inf_newtable[3] = MG_INV_TOP." (
mg_inv_user MEDIUMINT(8) UNSIGNED NOT NULL default '0',
mg_inv_user_name VARCHAR(50) DEFAULT '' NOT NULL,
mg_inv_invite_score MEDIUMINT(20) UNSIGNED NOT NULL default '0',
mg_inv_register_score MEDIUMINT(20) UNSIGNED NOT NULL default '0',
PRIMARY KEY (mg_inv_user)
) TYPE=MyISAM;";

$inf_newtable[4] = MG_INV_SETTINGS." (
mg_inv_settings_id SMALLINT(1) UNSIGNED NOT NULL AUTO_INCREMENT,
auto_delete SMALLINT(2) UNSIGNED NOT NULL default '0',
show_panel_content SMALLINT(1) UNSIGNED NOT NULL default '0',
use_score SMALLINT(1) UNSIGNED NOT NULL default '0',
inv_score MEDIUMINT(8) UNSIGNED NOT NULL default '0',
reg_score MEDIUMINT(8) UNSIGNED NOT NULL default '0',
inv_bcc SMALLINT(1) UNSIGNED NOT NULL default '0',
inv_bcc_to VARCHAR(100) DEFAULT '' NOT NULL,
page_text TEXT,
top_count SMALLINT(2) UNSIGNED NOT NULL default '0',
pm_after SMALLINT(2) UNSIGNED NOT NULL default '0',
pm_after_to MEDIUMINT(8) UNSIGNED NOT NULL default '0',
PRIMARY KEY (mg_inv_settings_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = MG_INV_SETTINGS." (mg_inv_settings_id, auto_delete, show_panel_content, use_score, inv_score, reg_score, inv_bcc, inv_bcc_to, page_text, top_count, pm_after, pm_after_to) VALUES('1', '14', '1', '1', '10', '200', '0', '', '".$locale['MGINV_text']."', '10', '0', '1')";

$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['MGINV_title']."', panel_filename='".$inf_folder."', panel_side=1, panel_order='75', panel_type='file', panel_access='101', panel_display='0', panel_status='1' ";

$inf_droptable[1] = MG_INVITATION;
$inf_droptable[2] = MG_INV_ARCHIV;
$inf_droptable[3] = MG_INV_TOP;
$inf_droptable[4] = MG_INV_SETTINGS;

// $inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['MGINV_admin1'],
	"image" => "invite.png",
	"panel" => "mg_invitation_admin.php",
	"rights" => "MGI"
);

$inf_sitelink[1] = array(
	"title" => $locale['MGINV_link1'],
	"url" => "mg_invitation.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>