<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_invitation_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_invitation_panel/infusion_db.php";
include INFUSIONS."mg_invitation_panel/inc/functions.php";

if (!checkrights("MGI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_invitation_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_invitation_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_invitation_panel/locale/German.php";
}
add_to_head("
<style type='text/css'>
<!--
.success {
	color:green;
	font-weight:bold;
	text-align:center;
	font-size: 16px;
}

.error {
	color: #ff0000;
	font-weight:bold;
	text-align:center;
	font-size: 14px;
}
-->
</style>
");

if(isset($_GET['section'])) {
	$section = stripinput($_GET['section']);
} else {
	$section = "einladungen";
}
opentable($locale['MGINV_admin1']);

echo "<table cellpadding='0' cellspacing='0' width='100%' margin-bottom='5px' class='tbl-border center'>";
echo "<tr>

<td width='50%' class='".($section == "einstellungen" ? "tbl1" : "tbl2")."' align='center'><span class='small'>".($section == "einstellungen" ? "<strong>".$locale['MGINV_a001']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=einstellungen'><strong>".$locale['MGINV_a001']."</strong></a>")."</span></td>

<td width='50%' class='".($section == "einladungen" ? "tbl1" : "tbl2")."' align='center'><span class='small'>".($section == "einladungen" ? "<strong>".$locale['MGINV_a002']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=einladungen'><strong>".$locale['MGINV_a002']."</strong></a>")."</span></td>

</tr>
</table>";


switch ($section) {

case "einstellungen":
if (isset($_POST['speichern'])) {
	// Einstellungen speichern
	$auto_delete = stripinput($_POST['auto_delete']);
	$show_panel_content = stripinput($_POST['show_panel_content']);
	$use_score = stripinput($_POST['use_score']);
	$inv_score = stripinput($_POST['inv_score']);
	$reg_score = stripinput($_POST['reg_score']);
	$inv_bcc = stripinput($_POST['inv_bcc']);
	$inv_bcc_to = ($inv_bcc == 1 ? stripinput($_POST['inv_bcc_to']) : "");
	$page_text = stripinput($_POST['page_text']);
	$top_count = stripinput($_POST['top_count']);
	$pm_after = stripinput($_POST['pm_after']);
	$pm_after_to = stripinput($_POST['pm_after_to']);

	if ($inv_bcc == 1 && $inv_bcc_to == "") {
	redirect(FUSION_SELF.$aidlink."&amp;section=einstellungen&amp;error=true");
	} else {
	$result = dbquery("UPDATE ".MG_INV_SETTINGS." SET
	auto_delete = '".$auto_delete."',
	show_panel_content = '".$show_panel_content."',
	use_score = '".$use_score."',
	inv_score = '".$inv_score."',
	reg_score = '".$reg_score."',
	inv_bcc = '".$inv_bcc."',
	inv_bcc_to = '".$inv_bcc_to."',
	page_text = '".$page_text."',
	top_count = '".$top_count."',
	pm_after = '".$pm_after."',
	pm_after_to = '".$pm_after_to."'
	WHERE mg_inv_settings_id='1'
	");
	redirect(FUSION_SELF.$aidlink."&amp;section=einstellungen&amp;success=true");
	}
} else {
	if (isset($_GET['success'])) {
		echo "<div class='success'><br />".$locale['MGINV_a003']."<br /></div>";
	}
	if (isset($_GET['error'])) {
		echo "<div class='error'><br />".$locale['MGINV_a004']."<br /></div>";
	}

$auto_delete = invset("auto_delete");
$show_panel_content = invset("show_panel_content");
$use_score = invset("use_score");
$inv_score = invset("inv_score");
$reg_score = invset("reg_score");
$inv_bcc = invset("inv_bcc");
$inv_bcc_to = invset("inv_bcc_to");
$page_text = invset("page_text");
$top_count = invset("top_count");
$pm_after = invset("pm_after");
$pm_after_to = invset("pm_after_to");

include_once INCLUDES."bbcode_include.php";
echo "<br />";
echo "<form name='inv_settings_form' method='post' action='".FUSION_SELF.$aidlink."&section=einstellungen'>\n";
echo "<table align='center' cellpadding='2' cellspacing='2' width='80%' class='tbl-border'>\n";
echo "<tr>\n
	<td class='tbl2' colspan='2' align='left' style='font-weight:bold;font-size:bigger;'>".$locale['MGINV_a001']."</td>\n
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;' width='30%'>".$locale['MGINV_a005']."</td>\n
		<td style='text-align:left;vertical-align:top;'>
			<textarea name='page_text' rows='10' style='width:300px;' class='textbox'>".$page_text."</textarea>".
			display_bbcodes("300px;", "page_text", "inv_settings_form", "smiley|img|i|u|s|color")."
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a006']."</td>\n
		<td style='text-align:left;'>
			<input type='text' class='textbox' name='auto_delete' value='".$auto_delete."' /> ".$locale['MGINV_a007']."
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a008']."</td>\n
		<td style='text-align:left;'>
			<select name='show_panel_content' class='textbox'>
				<option value='1'".($show_panel_content == 1 ? " selected" : "").">".$locale['MGINV_yes']."</option>
				<option value='0'".($show_panel_content == 0 ? " selected" : "").">".$locale['MGINV_no']."</option>
			</select>
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a009']."</td>\n
		<td style='text-align:left;'>
			<select name='top_count' class='textbox'>
				<option value='5'".($top_count == 5 ? " selected" : "").">5</option>
				<option value='10'".($top_count == 10 ? " selected" : "").">10</option>
				<option value='15'".($top_count == 15 ? " selected" : "").">15</option>
				<option value='20'".($top_count == 20 ? " selected" : "").">20</option>
			</select>
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a010']."</td>\n
		<td style='text-align:left;'>
			<select name='use_score' class='textbox'>
				<option value='1'".($use_score == 1 ? " selected" : "").">".$locale['MGINV_yes']."</option>
				<option value='0'".($use_score == 0 ? " selected" : "").">".$locale['MGINV_no']."</option>
			</select>
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a011']."</td>\n
		<td style='text-align:left;'>
			<input type='text' class='textbox' name='inv_score' value='".$inv_score."' /> ".$locale['MGINV_a013']."
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a012']."</td>\n
		<td style='text-align:left;'>
			<input type='text' class='textbox' name='reg_score' value='".$reg_score."' /> ".$locale['MGINV_a013']."
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a014']."</td>\n
		<td style='text-align:left;'>
			<select name='inv_bcc' class='textbox'>
				<option value='1'".($inv_bcc == 1 ? " selected" : "").">".$locale['MGINV_yes']."</option>
				<option value='0'".($inv_bcc == 0 ? " selected" : "").">".$locale['MGINV_no']."</option>
			</select>
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a015']."</td>\n
		<td style='text-align:left;'>
			<input type='text' class='textbox' style='width:300px;' name='inv_bcc_to' value='".$inv_bcc_to."' />
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a016']."</td>\n
		<td style='text-align:left;'>
			<select name='pm_after' class='textbox'>
				<option value='0'".($pm_after == 0 ? " selected" : "").">".$locale['MGINV_a017']."</option>
				<option value='1'".($pm_after == 1 ? " selected" : "").">".$locale['MGINV_a018']."</option>
				<option value='5'".($pm_after == 5 ? " selected" : "").">".$locale['MGINV_a019']." 5.</option>
				<option value='10'".($pm_after == 10 ? " selected" : "").">".$locale['MGINV_a019']." 10.</option>
				<option value='15'".($pm_after == 15 ? " selected" : "").">".$locale['MGINV_a019']." 15.</option>
				<option value='20'".($pm_after == 20 ? " selected" : "").">".$locale['MGINV_a019']." 20.</option>
				<option value='25'".($pm_after == 25 ? " selected" : "").">".$locale['MGINV_a019']." 25.</option>
				<option value='30'".($pm_after == 30 ? " selected" : "").">".$locale['MGINV_a019']." 30.</option>
			</select>
		</td>
	</tr>\n";
echo "<tr class='tbl1'>
		<td style='text-align:right;vertical-align:top;'>".$locale['MGINV_a020']."</td>\n
		<td style='text-align:left;'>";
		$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." ORDER BY user_level DESC, user_name ASC");
		$user_list = "";
			while($data = dbarray($result)) {
				$user_list .= "<option value='".$data['user_id']."'".($pm_after_to == $data['user_id'] ? " selected" : "").">".$data['user_name']."</option>\n";
			}
		echo "<select name='pm_after_to' class='textbox'>".$user_list."</select>\n";
	echo "</td>
	</tr>\n";
echo "<tr>
		<td class='tbl2' style='vertical-align:top;text-align:center;' colspan='2'><input type='submit' name='speichern' value='".$locale['MGINV_a021']."' class='button' /></td>
		</tr>";

echo "</table>";
echo "</form>\n";
}

break;

case "einladungen":

if (isset($_POST['cleanup'])) {
	$zeit = stripinput($_POST['zeit']);
	$zeit = time() - ($zeit*86400);
	$del_inv = dbcount("(mg_invite_id)", MG_INVITATION, "mg_inv_datestamp<=".$zeit );
	$result = dbquery("DELETE FROM ".MG_INVITATION." WHERE mg_inv_datestamp<=".$zeit."");
	redirect(FUSION_SELF.$aidlink."&amp;section=einladungen&amp;cleanupsuccess=".$del_inv."");
} elseif (isset($_GET['delinv']) && $_GET['delinv'] != "") {
	$mg_invite_id = stripinput($_GET['delinv']);
	$result = dbquery("DELETE FROM ".MG_INVITATION." WHERE mg_invite_id = '".$mg_invite_id."'");
	redirect(FUSION_SELF.$aidlink."&amp;section=einladungen&amp;delinvsuccess=true");
} elseif (isset($_GET['delreg']) && $_GET['delreg'] != "") {
	$mg_invite_id = stripinput($_GET['delreg']);
	$result = dbquery("DELETE FROM ".MG_INV_ARCHIV." WHERE mg_invite_id = '".$mg_invite_id."'");
	redirect(FUSION_SELF.$aidlink."&amp;section=einladungen&amp;delregsuccess=true");
} else {
	if (isset($_GET['delinvsuccess'])) {
		echo "<div class='success'><br />".$locale['MGINV_a022']."<br /></div>";
	}
	if (isset($_GET['delregsuccess'])) {
		echo "<div class='success'><br />".$locale['MGINV_a023']."<br /></div>";
	}
	if (isset($_GET['cleanupsuccess'])) {
		$anzahl = stripinput($_GET['cleanupsuccess']);
		echo "<div class='success'><br />".$anzahl." ".$locale['MGINV_a024']."<br /></div>";
	}
echo "<br />";
echo "<table align='center' cellpadding='1' cellspacing='1' width='80%' class='tbl-border'>\n";
echo "<tr>\n
	<td class='tbl2' colspan='6' align='left' style='font-weight:bold;font-size:bigger;'>".$locale['MGINV_a025']."</td>\n
	</tr>\n";
	$inv_per_page = 15;

if (!isset($_GET['invrowstart']) || !isnum($_GET['invrowstart'])) {
	$_GET['invrowstart'] = 0;
}

$inv_rows = dbcount("(mg_invite_id)", MG_INVITATION);

$result = dbquery("SELECT inv.*, user.user_id, user.user_name FROM ".MG_INVITATION." inv
LEFT JOIN ".DB_USERS." user ON inv.mg_inv_user=user.user_id
ORDER BY mg_inv_datestamp DESC LIMIT ".$_GET['invrowstart'].",".$inv_per_page."");
if (dbrows($result)) {
	if ($_GET['invrowstart'] == 0) {
		echo "<tr><td class='tbl1' colspan='6' style='text-align:center'>\n";
		echo "<form name='deleteform' method='post' action='".FUSION_SELF.$aidlink."&amp;section=einladungen'>\n";
		echo "".$locale['MGINV_a026']."&nbsp;<select name='zeit' class='textbox' style='width:80px;'>";

			for ($i = 5; $i <= 30; $i++) {
				echo "<option value='".$i."'>".$i." ".$locale['MGINV_a007a']."</option>";
			}
		echo "</select>&nbsp;";
		echo "<input type='submit' name='cleanup' value='".$locale['MGINV_a027']."' class='button' onclick=\"return confirm('".$locale['MGINV_a028']."');\" /><br /><br />\n";
		echo "</form>\n</td></tr>\n";
	}
echo "<tr class='tbl1' style='font-weight:bold;text-align:center;'>\n";
echo "<td>".$locale['MGINV_a029']."</td>\n
	<td>".$locale['MGINV_a030']."</td>\n
	<td>".$locale['MGINV_a031']."</td>\n
	<td>".$locale['MGINV_a032']."</td>\n
	<td>".$locale['MGINV_a033']."</td>\n
	<td>".$locale['MGINV_a034']."</td>\n";
echo "</tr>\n";
	$i = 1;
	while ($data = dbarray($result)) {
		$class = (($i % 2) ? "tbl2" : "tbl1");
		echo "<tr class='".$class."' style='text-align:center;'>\n";
		echo "<td><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>\n";
		echo "<td>".$data['mg_inv_friend_name']."</td>\n";
		echo "<td>".hide_email($data['mg_inv_friend_mail'])."</td>\n";
		echo "<td>".$data['mg_inv_key']."</td>\n";
		echo "<td>".showdate("%d.%m.%Y %H:%M:%S", $data['mg_inv_datestamp'])."</td>\n";
		echo "<td><a href='".FUSION_SELF.$aidlink."&amp;delinv=".$data['mg_invite_id']."'><img src='".INFUSIONS."mg_invitation_panel/images/delete.png' style='border:0px;' title='".$locale['MGINV_a035']."' /></a></td>\n";
		echo "</tr>\n";
		$i++;
	}

	if ($inv_rows > $inv_per_page) {
		echo "<tr class='tbl2' style='text-align:center;'>\n<td colspan='6'>";
		echo custompagenav($_GET['invrowstart'], $inv_per_page, $inv_rows, 3, FUSION_SELF.$aidlink."&amp;", "invrowstart");
		echo "</td>\n</tr>\n";
	}
} else {
	echo "<tr class='tbl1' style='text-align:center;'>\n<td>".$locale['MGINV_a036']."</td>\n</tr>\n";
}
echo "</table>";

echo "<br />";
echo "<table align='center' cellpadding='1' cellspacing='1' width='80%' class='tbl-border'>\n";
echo "<tr>\n
	<td class='tbl2' colspan='5' align='left' style='font-weight:bold;font-size:bigger;'>".$locale['MGINV_a037']."</td>\n
	</tr>\n";
	$reg_per_page = 15;

if (!isset($_GET['regrowstart']) || !isnum($_GET['regrowstart'])) {
	$_GET['regrowstart'] = 0;
}

$reg_rows = dbcount("(mg_invite_id)", MG_INV_ARCHIV);

$result = dbquery("SELECT arch.*, user1.user_id, user1.user_name FROM ".MG_INV_ARCHIV." arch
LEFT JOIN ".DB_USERS." user1 ON arch.mg_inv_friend_name=user1.user_name
ORDER BY mg_inv_user ASC, mg_inv_datestamp DESC LIMIT ".$_GET['regrowstart'].",".$reg_per_page."");
if (dbrows($result)) {
echo "<tr class='tbl1' style='font-weight:bold;text-align:center;'>\n";
echo "<td>".$locale['MGINV_a029']."</td>\n
	<td>".$locale['MGINV_a030']."</td>\n
	<td>".$locale['MGINV_a031']."</td>\n
	<td>".$locale['MGINV_a033']."</td>\n
	<td>".$locale['MGINV_a034']."</td>\n";
echo "</tr>\n";
$i = 1;
while ($data = dbarray($result)) {
	$class = (($i % 2) ? "tbl2" : "tbl1");
	$user = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id='".$data['mg_inv_user']."'"));
	echo "<tr class='".$class."' style='text-align:center;'>\n";
	echo "<td><a href='".BASEDIR."profile.php?lookup=".$user['user_id']."'>".$user['user_name']."</a></td>\n";
	echo "<td>".($data['user_id'] ? "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>" : "").$data['mg_inv_friend_name'].($data['user_id'] ? "</a>" : "")."</td>\n";
	echo "<td>".hide_email($data['mg_inv_friend_mail'])."</td>\n";
	echo "<td>".showdate("%d.%m.%Y %H:%M:%S", $data['mg_inv_datestamp'])."</td>\n";
		echo "<td><a href='".FUSION_SELF.$aidlink."&amp;delreg=".$data['mg_invite_id']."'><img src='".INFUSIONS."mg_invitation_panel/images/delete.png' style='border:0px;' title='".$locale['MGINV_a035']."' /></a></td>\n";
	echo "</tr>\n";
	$i++;
}

if ($reg_rows > $reg_per_page) {
	echo "<tr class='tbl2' style='text-align:center;'>\n<td colspan='5'>";
	echo custompagenav($_GET['regrowstart'], $reg_per_page, $reg_rows, 3, FUSION_SELF.$aidlink."&amp;", "regrowstart");
	echo "</td>\n</tr>\n";
}
} else {
	echo "<tr class='tbl1' style='text-align:center;'>\n<td>".$locale['MGINV_a038']."</td>\n</tr>\n";
}
echo "</table>";


}
break;

} // Switch
echo zeigeCopyright_inv();
closetable();

echo "<script type='text/javascript' src='".INFUSIONS."mg_invitation_panel/inc/jquery-1.4.1.min.js'></script>";
echo "<script type=\"text/javascript\">
	$(document).ready(function(){
	$('.success').fadeOut(5000);
	$('.error').fadeOut(5000);
	});
</script>";


require_once THEMES."templates/footer.php";
?>